import {
  getElementId,
  randomCode,
  deepCopy,
} from "../../../card/plugins/utils";

const MODEL = {
  type: "PANE_BOX",
  x: 0,
  y: 0,
  w: 200,
  h: 200,
  borderStyle: "none",
  elements: [],
};

const getModel = () => {
  return {
    id: getElementId(),
    key: randomCode(),
    ...deepCopy(MODEL),
  };
};

export { MODEL, getModel };
